summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-12-31 21:33:54 +0000
committer Eric Hameleers <alien@slackware.com>2019-01-01 08:59:45 +0100
commit9b2263c35d22d77dc913ca980014efc8390305db (patch)
tree429725e1a1423cb829bd2f448d04a4ca371d2ce2 /source
parent8e734711287e3db171361903b19d2a758f325bfc (diff)
downloadcurrent-9b2263c35d22d77dc913ca980014efc8390305db.tar.gz
current-9b2263c35d22d77dc913ca980014efc8390305db.tar.xz
Mon Dec 31 21:33:54 UTC 201820181231213354
a/efibootmgr-17-x86_64-1.txz: Upgraded. a/efivar-37-x86_64-1.txz: Upgraded. d/cmake-3.13.2-x86_64-2.txz: Rebuilt. Work around build failures with recent doxygen. d/ruby-2.6.0-x86_64-1.txz: Upgraded. Shared library .so-version bump. d/subversion-1.11.0-x86_64-2.txz: Rebuilt. Recompiled against ruby-2.6.0. kde/korundum-4.14.3-x86_64-7.txz: Rebuilt. Recompiled against ruby-2.6.0. kde/qtruby-4.14.3-x86_64-9.txz: Rebuilt. Recompiled against ruby-2.6.0. l/gobject-introspection-1.58.3-x86_64-1.txz: Upgraded. l/imagemagick-6.9.10_22-x86_64-1.txz: Upgraded. l/libssh-0.8.6-x86_64-1.txz: Upgraded. n/epic5-2.0.1-x86_64-8.txz: Rebuilt. Recompiled against ruby-2.6.0. n/tin-2.4.3-x86_64-1.txz: Upgraded. n/wireless_tools-30.pre9-x86_64-1.txz: Upgraded. x/xterm-341-x86_64-2.txz: Rebuilt. Install xterm app-defaults that resemble the Linux console. Thanks to GazL.
Diffstat (limited to 'source')
-rwxr-xr-xsource/a/efibootmgr/efibootmgr.SlackBuild4
-rw-r--r--source/a/efibootmgr/efibootmgr.efi_set_verbose.diff12
-rwxr-xr-xsource/d/cmake/cmake.SlackBuild5
-rw-r--r--source/d/cmake/cmake.doxygen-1.8.15.diff16
-rwxr-xr-xsource/d/subversion/subversion.SlackBuild2
-rw-r--r--source/kde/build/korundum2
-rw-r--r--source/kde/build/qtruby2
-rwxr-xr-xsource/n/epic5/epic5.SlackBuild2
-rwxr-xr-xsource/n/tin/tin.SlackBuild5
-rwxr-xr-xsource/n/wireless_tools/wireless_tools.SlackBuild9
-rw-r--r--source/n/wireless_tools/wireless_tools.static.diff11
-rw-r--r--source/n/wireless_tools/wireless_tools.url1
-rw-r--r--source/x/xterm/linux-console-xterm.ad67
-rwxr-xr-xsource/x/xterm/xterm.SlackBuild9
14 files changed, 122 insertions, 25 deletions
diff --git a/source/a/efibootmgr/efibootmgr.SlackBuild b/source/a/efibootmgr/efibootmgr.SlackBuild
index 9671a6e21..5618c09de 100755
--- a/source/a/efibootmgr/efibootmgr.SlackBuild
+++ b/source/a/efibootmgr/efibootmgr.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=efibootmgr
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -79,6 +79,8 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
cd $PKGNAM-$VERSION
+zcat $CWD/efibootmgr.efi_set_verbose.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff --git a/source/a/efibootmgr/efibootmgr.efi_set_verbose.diff b/source/a/efibootmgr/efibootmgr.efi_set_verbose.diff
new file mode 100644
index 000000000..cea96487c
--- /dev/null
+++ b/source/a/efibootmgr/efibootmgr.efi_set_verbose.diff
@@ -0,0 +1,12 @@
+--- ./src/efibootmgr.c.orig 2018-06-10 15:12:10.000000000 -0500
++++ ./src/efibootmgr.c 2018-12-31 13:23:27.284013090 -0600
+@@ -1536,9 +1536,6 @@
+ "invalid numeric value %s\n",
+ optarg);
+ }
+- /* XXX efivar-36 accidentally doesn't have a public
+- * header for this */
+- extern int efi_set_verbose(int verbosity, FILE *errlog);
+ efi_set_verbose(opts.verbose - 2, stderr);
+ break;
+ case 'V':
diff --git a/source/d/cmake/cmake.SlackBuild b/source/d/cmake/cmake.SlackBuild
index b20759875..9036e4cf1 100755
--- a/source/d/cmake/cmake.SlackBuild
+++ b/source/d/cmake/cmake.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=cmake
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -67,6 +67,9 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
+# Work around breakage with doxygen-1.8.15:
+zcat $CWD/cmake.doxygen-1.8.15.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff --git a/source/d/cmake/cmake.doxygen-1.8.15.diff b/source/d/cmake/cmake.doxygen-1.8.15.diff
new file mode 100644
index 000000000..ed73290a5
--- /dev/null
+++ b/source/d/cmake/cmake.doxygen-1.8.15.diff
@@ -0,0 +1,16 @@
+--- ./Modules/FindDoxygen.cmake.orig 2018-12-13 05:57:40.000000000 -0600
++++ ./Modules/FindDoxygen.cmake 2018-12-31 13:45:34.300895249 -0600
+@@ -708,8 +708,11 @@
+ if(_line MATCHES "([A-Z][A-Z0-9_]+)( *=)(.*)")
+ set(_key "${CMAKE_MATCH_1}")
+ set(_eql "${CMAKE_MATCH_2}")
+- string(REPLACE ";" "\\\n" _value "${CMAKE_MATCH_3}")
+- list(APPEND _Doxygen_tpl_params "${_key}${_eql}${_value}")
++ #string(REPLACE ";" "\\\n" _value "${CMAKE_MATCH_3}")
++ #list(APPEND _Doxygen_tpl_params "${_key}${_eql}${_value}")
++ string(REPLACE "\\" "\\\\" _value1 "${CMAKE_MATCH_3}")
++ string(REPLACE ";" "\\\n" _value2 "${_value1}")
++ list(APPEND _Doxygen_tpl_params "${_key}${_eql}${_value2}")
+ endif()
+ endforeach()
+
diff --git a/source/d/subversion/subversion.SlackBuild b/source/d/subversion/subversion.SlackBuild
index 33f51f9c3..61d0faf25 100755
--- a/source/d/subversion/subversion.SlackBuild
+++ b/source/d/subversion/subversion.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=subversion
VERSION=${VERSION:-$(echo subversion-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/kde/build/korundum b/source/kde/build/korundum
index 1e8b31496..7f8f011eb 100644
--- a/source/kde/build/korundum
+++ b/source/kde/build/korundum
@@ -1 +1 @@
-6
+7
diff --git a/source/kde/build/qtruby b/source/kde/build/qtruby
index 45a4fb75d..ec635144f 100644
--- a/source/kde/build/qtruby
+++ b/source/kde/build/qtruby
@@ -1 +1 @@
-8
+9
diff --git a/source/n/epic5/epic5.SlackBuild b/source/n/epic5/epic5.SlackBuild
index 491beeed2..64c392f74 100755
--- a/source/n/epic5/epic5.SlackBuild
+++ b/source/n/epic5/epic5.SlackBuild
@@ -26,7 +26,7 @@ PKGNAM=epic5
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
EPICVER=5
HELPFILE=current
-BUILD=${BUILD:-7}
+BUILD=${BUILD:-8}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/n/tin/tin.SlackBuild b/source/n/tin/tin.SlackBuild
index 95f757f9a..5855c372a 100755
--- a/source/n/tin/tin.SlackBuild
+++ b/source/n/tin/tin.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=tin
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -62,7 +62,8 @@ find . \
-exec chmod 644 {} \;
./configure \
- --prefix=/usr \
+ --prefix=/usr \
+ --mandir=/usr/man \
--with-metamail=/usr/bin/metamail \
--with-ispell=/usr/bin/ispell \
--with-defaults-dir=/etc/tin \
diff --git a/source/n/wireless_tools/wireless_tools.SlackBuild b/source/n/wireless_tools/wireless_tools.SlackBuild
index 48ffa8ca9..0b8e235b0 100755
--- a/source/n/wireless_tools/wireless_tools.SlackBuild
+++ b/source/n/wireless_tools/wireless_tools.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=wireless_tools
-VERSION=29
-BUILD=${BUILD:-12}
+VERSION=30.pre9
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -57,10 +57,9 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf wireless_tools.$VERSION
-tar xvf $CWD/wireless_tools.$VERSION.tar.gz || exit 1
-cd wireless_tools.$VERSION
+tar xvf $CWD/wireless_tools.$VERSION.tar.?z || exit 1
+cd wireless_tools.$(echo $VERSION | cut -f 1 -d .) || cd wireless_tools.$VERSION
zcat $CWD/wireless_tools.nowhine.diff.gz | patch -p1 --verbose --suffix=.orig --backup || exit 1
-zcat $CWD/wireless_tools.static.diff.gz | patch -p1 --verbose --suffix=.orig --backup || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff --git a/source/n/wireless_tools/wireless_tools.static.diff b/source/n/wireless_tools/wireless_tools.static.diff
deleted file mode 100644
index 71f4ec3fa..000000000
--- a/source/n/wireless_tools/wireless_tools.static.diff
+++ /dev/null
@@ -1,11 +0,0 @@
---- ./Makefile.orig 2004-10-11 15:16:15.000000000 -0700
-+++ ./Makefile 2005-07-25 00:18:46.000000000 -0700
-@@ -17,7 +17,7 @@
- ## Uncomment this to build tools using static version of the library
- ## Mostly useful for embedded platforms without ldd, or to create
- ## a local version (non-root).
--# BUILD_STATIC = y
-+BUILD_STATIC = y
-
- ## Uncomment this to build without using libm (less efficient)
- ## This is mostly useful for embedded platforms without maths.
diff --git a/source/n/wireless_tools/wireless_tools.url b/source/n/wireless_tools/wireless_tools.url
new file mode 100644
index 000000000..803e2e0c7
--- /dev/null
+++ b/source/n/wireless_tools/wireless_tools.url
@@ -0,0 +1 @@
+https://hewlettpackard.github.io/wireless-tools/Tools.html
diff --git a/source/x/xterm/linux-console-xterm.ad b/source/x/xterm/linux-console-xterm.ad
new file mode 100644
index 000000000..3f43b91db
--- /dev/null
+++ b/source/x/xterm/linux-console-xterm.ad
@@ -0,0 +1,67 @@
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+! These resources will, as much as possible, configure xterm to look
+! like a linux console.
+!
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+
+XTerm.termName: xterm-new
+! Use the more featureful 'xterm-new' terminfo entry.
+XTerm.locale: true
+! Enable conversion between the locale and utf-8 if necessary.
+!XTerm.ptyInitialErase: false
+! Set the tty erase setting to match the terminfo/cap definition for
+! this terminal type.
+!XTerm.backarrowKeyIsErase: true
+! Send the erase character when the backarrow key (a.k.a. backspace)
+! is pressed.
+XTerm.vt100.metaSendsEscape: true
+! Send meta-characters as a two-byte sequence prefixed with ESCAPE.
+! "XTerm.vt100.eightBitInput: false" is an alternative approach
+! but metaSendsEscape has a menu option in the ctrl-button1
+! popup menu, allowing the user to turn it off if need be. The
+! Linux console and most other terminal emulators do this by default.
+XTerm.vt100.bellIsUrgent: true
+! Enable urgency hit for Window managers.
+XTerm.vt100.renderFont: false
+! Use bitmap fonts by default.User can switch to ttyfonts from menu,
+! if required.
+XTerm.vt100.font: -*-terminus-bold-r-normal-*-20-*-*-*-*-*-iso10646-1
+XTerm.vt100.font1: -*-terminus-bold-r-normal-*-12-*-*-*-*-*-iso10646-1
+XTerm.vt100.font2: -*-terminus-bold-r-normal-*-14-*-*-*-*-*-iso10646-1
+XTerm.vt100.font3: -*-terminus-bold-r-normal-*-16-*-*-*-*-*-iso10646-1
+XTerm.vt100.font4: -*-terminus-bold-r-normal-*-20-*-*-*-*-*-iso10646-1
+XTerm.vt100.font5: -*-terminus-bold-r-normal-*-24-*-*-*-*-*-iso10646-1
+XTerm.vt100.font6: -*-terminus-bold-r-normal-*-32-*-*-*-*-*-iso10646-1
+
+XTerm.vt100.faceName: monospace
+XTerm.vt100.faceSize: 14.0
+XTerm*Background: rgb:00/00/00
+XTerm*Foreground: rgb:aa/aa/aa
+XTerm*cursorUnderLine: true
+XTerm*cursorBlink: true
+XTerm*boldMode: false
+XTerm*colorULMode: true
+XTerm*colorUL: rgb:00/aa/aa
+XTerm*colorBDMode: true
+XTerm*colorBD: rgb:ff/ff/ff
+! CGA 16-colour palatte:
+XTerm*color0: rgb:00/00/00
+XTerm*color1: rgb:aa/00/00
+XTerm*color2: rgb:00/aa/00
+XTerm*color3: rgb:aa/55/00
+XTerm*color4: rgb:00/00/aa
+XTerm*color5: rgb:aa/00/aa
+XTerm*color6: rgb:00/aa/aa
+XTerm*color7: rgb:aa/aa/aa
+XTerm*color8: rgb:55/55/55
+XTerm*color9: rgb:ff/55/55
+XTerm*color10: rgb:55/ff/55
+XTerm*color11: rgb:ff/ff/55
+XTerm*color12: rgb:55/55/ff
+XTerm*color13: rgb:ff/55/ff
+XTerm*color14: rgb:55/ff/ff
+XTerm*color15: rgb:ff/ff/ff
+
+XTerm*charClass: 45-47:48,58:48,64:48
+
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
diff --git a/source/x/xterm/xterm.SlackBuild b/source/x/xterm/xterm.SlackBuild
index 9085c7f9f..75eb0642c 100755
--- a/source/x/xterm/xterm.SlackBuild
+++ b/source/x/xterm/xterm.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=xterm
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -111,6 +111,13 @@ make install DESTDIR=$PKG || exit 1
mkdir -p $PKG/usr/share/applications
cp xterm.desktop uxterm.desktop $PKG/usr/share/applications
+# Install a default XTerm app-defaults that looks like the Linux console.
+# Thanks to GazL.
+mv $PKG/etc/X11/app-defaults/XTerm $PKG/etc/X11/app-defaults/XTerm.upstream.default
+cp -a $CWD/linux-console-xterm.ad $PKG/etc/X11/app-defaults/XTerm
+chown root:root $PKG/etc/X11/app-defaults/XTerm
+chmod 644 $PKG/etc/X11/app-defaults/XTerm
+
# Strip binaries:
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null